Debian Bug report logs - #559346
Most packages based on source package mysql-dfsg-5.1 are missing from squeeze

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Nate Coraor <nate@bx.psu.edu>

Date: Thu, 3 Dec 2009 20:21:01 UTC

Severity: critical

Tags: confirmed

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#559346; Package release.debian.org. (Thu, 03 Dec 2009 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nate Coraor <nate@bx.psu.edu>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 03 Dec 2009 20:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nate Coraor <nate@bx.psu.edu>
To: submit@bugs.debian.org
Subject: Most packages based on source package mysql-dfsg-5.1 are missing from squeeze
Date: Thu, 03 Dec 2009 15:09:24 -0500
Package: release.debian.org
Severity: critical

It looks like new versions were supposedly migrated a few hours ago:

http://packages.qa.debian.org/m/mysql-dfsg-5.1.html
http://packages.qa.debian.org/m/mysql-dfsg-5.1/news/20091203T163928Z.html

The packages are missing from the catalog:

http://packages.debian.org/squeeze/mysql-server-5.1
http://packages.debian.org/squeeze/mysql-client-5.1
http://packages.debian.org/squeeze/libmysqlclient-dev
http://packages.debian.org/squeeze/libmysqlclient16
http://packages.debian.org/squeeze/libmysqld-dev
http://packages.debian.org/squeeze/libmysqld-pic

But the metapackages reference them:

http://packages.debian.org/squeeze/mysql-server
http://packages.debian.org/squeeze/mysql-client

--nate




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#559346; Package release.debian.org. (Thu, 03 Dec 2009 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 03 Dec 2009 22:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 559346@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Nate Coraor <nate@bx.psu.edu>, 559346@bugs.debian.org
Subject: Re: Bug#559346: Most packages based on source package mysql-dfsg-5.1 are missing from squeeze
Date: Thu, 03 Dec 2009 23:15:39 +0100
tags 559346 +confirmed
thanks

Nate Coraor wrote:

> It looks like new versions were supposedly migrated a few hours ago:
> 
> http://packages.qa.debian.org/m/mysql-dfsg-5.1.html
> http://packages.qa.debian.org/m/mysql-dfsg-5.1/news/20091203T163928Z.html
> 
> The packages are missing from the catalog:
> 
> http://packages.debian.org/squeeze/mysql-server-5.1
> http://packages.debian.org/squeeze/mysql-client-5.1
> http://packages.debian.org/squeeze/libmysqlclient-dev
> http://packages.debian.org/squeeze/libmysqlclient16
> http://packages.debian.org/squeeze/libmysqld-dev
> http://packages.debian.org/squeeze/libmysqld-pic
> 
> But the metapackages reference them:
> 
> http://packages.debian.org/squeeze/mysql-server
> http://packages.debian.org/squeeze/mysql-client

It's known and being worked on. It's unfortunately not only mysql, but
quite some other packages too. It looks like it's related to britney
(the testing migration tool) not being able to deal with multiple
versions of source packages being mentioned in the Sources files.

Cheers

Luk




Added tag(s) confirmed. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Thu, 03 Dec 2009 22:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#559346; Package release.debian.org. (Sat, 05 Dec 2009 11:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 Dec 2009 11:39:02 GMT) Full text and rfc822 format available.

Message #17 received at 559346@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 559346@bugs.debian.org
Cc: luk@debian.org, nate@bx.psu.edu
Subject: Re: Bug#559346: Most packages based on source package mysql-dfsg-5.1
Date: Sat, 5 Dec 2009 12:21:00 +0100
Hi,

I think there are more packages than just MySQL missing in testing, I
had dependency problems with old or missing versions of these
packages:

http://packages.debian.org/sid/libgnokii5 (required for kde-full)
http://packages.debian.org/sid/gnokii-common
http://packages.debian.org/sid/nspluginwrapper (>= 1.3)
http://packages.debian.org/sid/libsmi2-common (conflict between ifstat
and tshark/wireshark)
http://packages.debian.org/squeeze/gnome-desktop-environment
http://packages.debian.org/squeeze/gnome (still at 2.26)

Please check these packages as well.


Adrian




Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Tue, 08 Dec 2009 06:30:04 GMT) Full text and rfc822 format available.

Notification sent to Nate Coraor <nate@bx.psu.edu>:
Bug acknowledged by developer. (Tue, 08 Dec 2009 06:30:04 GMT) Full text and rfc822 format available.

Message #22 received at 559346-done@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 559346-done@bugs.debian.org
Subject: Re: Bug#559346: Most packages based on source package mysql-dfsg-5.1
Date: Tue, 8 Dec 2009 07:29:09 +0100
On Sat, Dec 05, 2009 at 12:21:00PM +0100, Adrian Glaubitz wrote:
> Hi,

Hi

> I think there are more packages than just MySQL missing in testing, I

That's what I already mentioned.

> had dependency problems with old or missing versions of these
> packages:
> 
> http://packages.debian.org/sid/libgnokii5 (required for kde-full)
> http://packages.debian.org/sid/gnokii-common

Both should be resolved now.

> http://packages.debian.org/sid/nspluginwrapper (>= 1.3)

Totaly unrelated, it has an RC (release critical) bug which prevents it from migrating to testing.

> http://packages.debian.org/sid/libsmi2-common (conflict between ifstat
> and tshark/wireshark)

Also unrelated, filed already as an RC bug.

> http://packages.debian.org/squeeze/gnome-desktop-environment
> http://packages.debian.org/squeeze/gnome (still at 2.26)

Unfortunately not ready yet due to some late uploads.

I'm closing this bug as the actual problem that caused the inconsistencies regarding half migrated packages has been resolved.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#559346; Package release.debian.org. (Wed, 09 Dec 2009 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 Dec 2009 15:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 559346@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Luk Claes <luk@debian.org>
Cc: 559346@bugs.debian.org
Subject: Re: Bug#559346: Most packages based on source package mysql-dfsg-5.1
Date: Wed, 9 Dec 2009 16:19:26 +0100
Hi Luk,

On Tue, Dec 08, 2009 at 07:29:09AM +0100, Luk Claes wrote:
> On Sat, Dec 05, 2009 at 12:21:00PM +0100, Adrian Glaubitz wrote:
> 
> I'm closing this bug as the actual problem that caused the inconsistencies regarding half migrated packages has been resolved.
> 
> Cheers
> 
> Luk

I found 2 other packages which are obviously affected:

libmozjs1d (not available) - breaks elinks: http://packages.debian.org/sid/elinks
libgmyth0 (not available) - breaks totem-plugins: http://packages.debian.org/sid/totem-plugins


Do you think this is related to the same problem in testing? At least
it renders totem and elinks unusuable.


Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#559346; Package release.debian.org. (Wed, 09 Dec 2009 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 Dec 2009 18:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 559346@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 559346@bugs.debian.org
Subject: Re: Bug#559346: Most packages based on source package mysql-dfsg-5.1
Date: Wed, 09 Dec 2009 19:42:06 +0100
Adrian Glaubitz wrote:
> Hi Luk,
> 
> On Tue, Dec 08, 2009 at 07:29:09AM +0100, Luk Claes wrote:
>> On Sat, Dec 05, 2009 at 12:21:00PM +0100, Adrian Glaubitz wrote:
>>
>> I'm closing this bug as the actual problem that caused the inconsistencies regarding half migrated packages has been resolved.
>>
>> Cheers
>>
>> Luk
> 
> I found 2 other packages which are obviously affected:
> 
> libmozjs1d (not available) - breaks elinks: http://packages.debian.org/sid/elinks
> libgmyth0 (not available) - breaks totem-plugins: http://packages.debian.org/sid/totem-plugins
> 
> 
> Do you think this is related to the same problem in testing? At least
> it renders totem and elinks unusuable.

Only indirectly. The first one is due to an uncoordinated xulrunner
transition apparently (binNMUs have been scheduled to fix it). The
second one is a temporary issue and should be resolved soon once the
gstreamer0.10 transition can migrate.

Cheers

Luk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jan 2010 07:33:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:02:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.